| DocBook: The Definitive Guide 2.0.17 (Alpha)

# production

$Revision$

$Date$

production — A production in a set of EBNF productions

## Synopsis

### Content Model

    production ::=
    (lhs,rhs,constraint*)

### Attributes

Common attributes

## Description

This element is only available if you are using the EBNF Module.

A `Production` is single production in an Extended Backus-Naur Form (EBNF) grammar.

Individual productions have two parts, a left hand side (`lhs`) and a right hand side (`rhs`). Each `NonTerminal` on the left hand side is defined in terms of other non-terminals and literals on the right hand side.

### Parents

These elements contain production: `productionset`.

### Children

The following elements occur in production: `constraint`, `lhs`, `rhs`.

## Examples

For examples, see `productionset`.

procedure |  | productionrecap

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.